Bug 18699 - Get rid of %%] in translation for edi_accounts.tt
Summary: Get rid of %%] in translation for edi_accounts.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-30 13:55 UTC by Marc Véron
Modified: 2017-12-07 22:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18699: Get rid of %%] in translation for edi_accounts.tt (1.43 KB, patch)
2017-05-30 14:13 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18699: Get rid of %%] in translation for edi_accounts.tt (1.50 KB, patch)
2017-06-06 08:02 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18699: Get rid of %%] in translation for edi_accounts.tt (1.55 KB, patch)
2017-06-16 18:39 UTC, Brendan Gallagher
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-30 13:55:13 UTC
Translation for edi_accounts.tt exposes:
[%% transport_types = [ 'FTP', 'SFTP', 'FILE' ] %%] 

Translators should not be confronted with such code internals.
Comment 1 Marc Véron 2017-05-30 14:13:29 UTC
Created attachment 63845 [details] [review]
Bug 18699: Get rid of %%] in translation for edi_accounts.tt

Translation for edi_accounts.tt exposes:
[%% transport_types = [ 'FTP', 'SFTP', 'FILE' ] %%]

Translators should not be confronted with such code internals.

To test:
- Review code change (it removes line breaks)
- Bonus test: Create a new translatin for "language" aa-AA and
  verify that the line no longer appears in aa-AA-staff-prog.po
Comment 2 Josef Moravec 2017-06-06 08:02:49 UTC
Created attachment 64030 [details] [review]
[SIGNED-OFF] Bug 18699: Get rid of %%] in translation for edi_accounts.tt

Translation for edi_accounts.tt exposes:
[%% transport_types = [ 'FTP', 'SFTP', 'FILE' ] %%]

Translators should not be confronted with such code internals.

To test:
- Review code change (it removes line breaks)
- Bonus test: Create a new translatin for "language" aa-AA and
  verify that the line no longer appears in aa-AA-staff-prog.po

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Brendan Gallagher 2017-06-16 18:39:32 UTC
Created attachment 64413 [details] [review]
Bug 18699: Get rid of %%] in translation for edi_accounts.tt

Translation for edi_accounts.tt exposes:
[%% transport_types = [ 'FTP', 'SFTP', 'FILE' ] %%]

Translators should not be confronted with such code internals.

To test:
- Review code change (it removes line breaks)
- Bonus test: Create a new translatin for "language" aa-AA and
  verify that the line no longer appears in aa-AA-staff-prog.po

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Brendan A Gallagher <brendan@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-06-16 20:05:16 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-27 14:34:24 UTC
Pushed to 17.05.x, will be in 17.05.02

Trivial enhancement and useful for translation on stable branches.
Comment 6 Katrin Fischer 2017-06-27 21:52:12 UTC
The other "Get rid of..." were classified as trivial bugs (see 16.11.09 release notes for examples). I am changing this one to match.

This patch has been pushed to 16.11.x and will be in 16.11.10.
Comment 7 Mason James 2017-07-31 11:30:17 UTC
Pushed to 16.05.x, for 16.05.15 release